package com.qmth.distributed.print.task.job;

import com.qmth.distributed.print.task.job.service.JobService;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.springframework.scheduling.quartz.QuartzJobBean;

import javax.annotation.Resource;

/**
 * @Description: 测试job
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/3/31
 */
public class TestJob extends QuartzJobBean {

    @Resource
    JobService jobService;

    @Override
    protected void executeInternal(JobExecutionContext context) throws JobExecutionException {
        jobService.testJob();
    }
}
